因此,我是服务器设置的新手,并且试图使PHP 7.2在基于Ubuntu 18.04.3 LTS的Apache2服务器上运行。 我有一个简单的phpinfo文件:

<?php phpinfo(); ?>

在浏览器中访问时,该文件将下载文件而不是运行文件。

以下是到目前为止我已执行的所有步骤:

  • 使用apt-get安装了PHP7.2,Apache2和libapache2-mod-php7.2
  • 在Apache中启用了PHP7.2:apache2 / mods-enabled /和mods-available /中包含php7.2.conf和php7.2.load
  • 更新了所有软件包
  • 启用的短标签
  • PHP未在用户目录中运行
  • 每次更改后,Apache服务器都会重新启动
  • Apache模块文件夹中似乎缺少mod-php.so?

httpd.conf不存在; 我手动创建了它,并在其中添加了以下几行:

AddHandler application/x-httpd-php .php .phtml
AddType application/x-httpd-php .php .phtml
AddType application/x-httpd-php-source .phps

apache2.conf:

...
<FilesMatch \.php$>
        SetHandler application/x-httpd-php
</FilesMatch>

关于我可能仍然缺少的任何想法?

  ask by Corporal Hart translate from so

本文未有回复,本站智能推荐:

1回复

./libraries/plugin_interface.lib.php#551when using phpMyAdmin 中的警告

我有一个问题,我已经研究过以找到解决方案,但是提供的任何修复都会导致更严重的错误,所以我希望有人可以在这里指导我。 这是我尝试在 phpMyAdmin 中使用导入功能时遇到的错误 ./libraries/plugin_interface.lib.php#551 count() 中的警告:参数必须
1回复

Apache 2.4 addmodule

当我将这一行添加到Apache时,我的Apache不会启动,但是当我删除httpd.conf上的这一行时,apache就会启动,我也不知道为什么。 线路代码;
1回复

文件上传卡在Proxmox,Apache2 Php的Container上上传10 MB的文件

我未能在开始上传后的10到12秒左右上传文件,以我的连接速度上传10 MB的文件大约需要18秒才能上传,但我无法完成。 尝试不同的连接10 MB已上传,但文件更大。 我还尝试了使用chrome限制连接的3MB文件,该文件也会在10到13秒左右停止。 我的服务器环境:带有proxmo
2回复

无法创建名为“Zend\\Authentication\\AuthenticationService”的服务。 原因:会话验证失败

我已经使用 zend framework 3 开发了一个系统,并且在我的笔记本中运行良好,但是当我尝试在 CentOS 服务器上运行时,它无法创建会话容器。 会话错误图像 会话错误图像 2 我已经编译了selinux模块,所以没关系 有人知道如何解决吗? 笔记本配置 Linux 薄
1回复

Apache2未运行

我在Ubuntu 18.04上运行Apache2 LAMP服务器,突然之间没有警告,Apache停止运行。 我尝试找出sudo service apache2 status的问题,它显示以下内容: 我要做的第一件事是尝试使用sudo apachectl restart手动sudo ap
1回复

启用 NGINX 服务器块但网站返回 404 not found 错误

我已经设置了一个运行 Ubuntu Server 18.0.4 的 Virtual Box 来宾机器。 我正在尝试在我的本地系统上为在 LEMP 堆栈上运行的 Wordpress 网站设置测试环境。 跟着网上的一些文章,搭建了php7.2-fpm和nginx服务器以及mysql社区版。 LEMP
1回复

PHP 警告:PHP 启动:无法加载动态库 'cassandra.so'(尝试:/usr/lib/php/20170718/cassandra

我正在设置 square api,将其集成到客户端,现在在服务器端工作,但为此我需要使用composer管理依赖项,而在安装 composer 时出现上述错误。 我正在安装 composer,当我运行composer install ,composer 已安装,但我还收到了 PHP 警告,即
2回复

如何将MSSQL与PHP 7.2.5连接

我已经在Ubuntu服务器17上使用了系统。但是,在升级到18.04 LTS之后,我的mssql连接停止了工作。 这是我的以下程序行: 我的php的当前版本是7.2.5。 考虑到一切都已更新,我该怎么办?